7.2.3 Configuring the Cluster Software

Ideally, each node should be running the same version of the OCFS2 software and a compatible version of the Oracle Linux Unbreakable Enterprise Kernel (UEK). It is possible for a cluster to run with mixed versions of the OCFS2 and UEK software, for example, while you are performing a rolling update of a cluster. The cluster node that is running the lowest version of the software determines the set of usable features.

Use yum to install or upgrade the following packages to the same version on each node:

  • kernel-uek

  • ocfs2-tools

Note

If you want to use the global heartbeat feature, you must install ocfs2-tools-1.8.0-11 or later.